/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { DefinitionBaseDescription } from "./DefinitionBaseDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export class ColumnDescription extends DefinitionBaseDescription {
    constructor() {
        super();
        this.b9 = 0;
        this.cb = 0;
        this.ca = 0;
        this.b8 = 0;
        this.cj = null;
        this.ck = null;
        this.ci = null;
        this.cg = null;
        this.cl = null;
        this.ch = null;
        this.bq = null;
        this.bo = null;
        this.b6 = 0;
        this.bw = false;
        this.bu = false;
        this.bm = null;
        this.bs = null;
        this.bv = false;
        this.by = false;
        this.bx = false;
        this.bz = false;
        this.cm = null;
    }
    get_type() {
        return "Column";
    }
    get paddingLeft() {
        return this.b9;
    }
    set paddingLeft(a) {
        this.b9 = a;
        this.e("PaddingLeft");
    }
    get paddingTop() {
        return this.cb;
    }
    set paddingTop(a) {
        this.cb = a;
        this.e("PaddingTop");
    }
    get paddingRight() {
        return this.ca;
    }
    set paddingRight(a) {
        this.ca = a;
        this.e("PaddingRight");
    }
    get paddingBottom() {
        return this.b8;
    }
    set paddingBottom(a) {
        this.b8 = a;
        this.e("PaddingBottom");
    }
    get name() {
        return this.cj;
    }
    set name(a) {
        this.cj = a;
        this.e("Name");
    }
    get propertyPath() {
        return this.ck;
    }
    set propertyPath(a) {
        this.ck = a;
        this.e("PropertyPath");
    }
    get headerText() {
        return this.ci;
    }
    set headerText(a) {
        this.ci = a;
        this.e("HeaderText");
    }
    get actualHeaderText() {
        return this.cg;
    }
    set actualHeaderText(a) {
        this.cg = a;
        this.e("ActualHeaderText");
    }
    get selectedBackground() {
        return this.cl;
    }
    set selectedBackground(a) {
        this.cl = a;
        this.e("SelectedBackground");
    }
    get actualSelectedBackground() {
        return this.ch;
    }
    set actualSelectedBackground(a) {
        this.ch = a;
        this.e("ActualSelectedBackground");
    }
    get animationSettings() {
        return this.bq;
    }
    set animationSettings(a) {
        this.bq = a;
        this.e("AnimationSettings");
    }
    get width() {
        return this.bo;
    }
    set width(a) {
        this.bo = a;
        this.e("Width");
    }
    get minWidth() {
        return this.b6;
    }
    set minWidth(a) {
        this.b6 = a;
        this.e("MinWidth");
    }
    get isFromMarkup() {
        return this.bw;
    }
    set isFromMarkup(a) {
        this.bw = a;
        this.e("IsFromMarkup");
    }
    get isAutoGenerated() {
        return this.bu;
    }
    set isAutoGenerated(a) {
        this.bu = a;
        this.e("IsAutoGenerated");
    }
    get filter() {
        return this.bm;
    }
    set filter(a) {
        this.bm = a;
        this.e("Filter");
    }
    get header() {
        return this.bs;
    }
    set header(a) {
        this.bs = a;
        this.e("Header");
    }
    get isFilteringEnabled() {
        return this.bv;
    }
    set isFilteringEnabled(a) {
        this.bv = a;
        this.e("IsFilteringEnabled");
    }
    get isResizingEnabled() {
        return this.by;
    }
    set isResizingEnabled(a) {
        this.by = a;
        this.e("IsResizingEnabled");
    }
    get isHidden() {
        return this.bx;
    }
    set isHidden(a) {
        this.bx = a;
        this.e("IsHidden");
    }
    get shouldRemoveWhenHidden() {
        return this.bz;
    }
    set shouldRemoveWhenHidden(a) {
        this.bz = a;
        this.e("ShouldRemoveWhenHidden");
    }
    get sortDirection() {
        return this.cm;
    }
    set sortDirection(a) {
        this.cm = a;
        this.e("SortDirection");
    }
}
ColumnDescription.$t = markType(ColumnDescription, 'ColumnDescription', DefinitionBaseDescription.$);
